MWAWPictBitmapIndexed Class Reference

a bitmap of int to store indexed bitmap More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmapIndexed:

## Public Member Functions

virtual SubType | getSubType () const
| return the picture subtype More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
virtual bool | valid () const
| returns true if the picture is valid More...
| MWAWPictBitmapIndexed (Vec2i const &sz)
| the constructor More...
Vec2i const & | size () const
| the picture size More...
int | numRows () const
| the number of rows More...
int | numColumns () const
| the number of columns More...
int | get (int i, int j) const
| returns a cell content More...
int const * | getRow (int j) const
| returns the cells content of a row More...
void | set (int i, int j, int v)
| sets a cell contents More...
template<class U >
void | setRow (int j, U const *val)
| sets all cell contents of a row More...
template<class U >
void | setColumn (int i, U const *val)
| sets all cell contents of a column More...
std::vector< MWAWColor > const & | getColors () const
| returns the array of indexed colors More...
void | setColors (std::vector< MWAWColor > const &cols)
| sets the array of indexed colors More...
Public Member Functions inherited from MWAWPictBitmap
virtual Type | getType () const
| returns the picture type More...
virtual bool | getBinary (WPXBinaryData &res, std::string &s) const
| returns the final WPXBinary data More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
Box2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (Box2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions

virtual bool | createFileData (WPXBinaryData &result) const
| the function which creates the result file More...
Protected Member Functions inherited from MWAWPictBitmap
| MWAWPictBitmap (Vec2i const &sz)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Protected Attributes

MWAWPictBitmapContainer< int > | m_data
| the m_data More...
std::vector< MWAWColor > | m_colors
| the colors More...

## Additional Inherited Members

Public Types inherited from MWAWPictBitmap
enum | SubType { BW, Indexed, Color }
| the picture subtype: blackwhite, indexed, color More...
Public Types inherited from MWAWPict
enum | Type { Basic, PictData, Bitmap, OleContainer, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Protected Member Functions inherited from MWAWPict
static Box2f | getBdBox (int numPt, Vec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

a bitmap of int to store indexed bitmap

## Constructor & Destructor Documentation

MWAWPictBitmapIndexed::MWAWPictBitmapIndexed | ( | Vec2i const & | sz | ) |

inline

the constructor

## Member Function Documentation

virtual int MWAWPictBitmapIndexed::cmp | ( | MWAWPict const & | a | ) | const

inline virtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictBitmap.

bool MWAWPictBitmapIndexed::createFileData | ( | WPXBinaryData & | result | ) | const

protected virtual

the function which creates the result file

Implements MWAWPictBitmap.

int MWAWPictBitmapIndexed::get | ( | int | i,
|  | int | j
| ) |  | const

inline

returns a cell content

std::vector<MWAWColor> const& MWAWPictBitmapIndexed::getColors | ( |  | ) | const

inline

returns the array of indexed colors

int const* MWAWPictBitmapIndexed::getRow | ( | int | j | ) | const

inline

returns the cells content of a row

virtual SubType MWAWPictBitmapIndexed::getSubType | ( |  | ) | const

inline virtual

return the picture subtype

Implements MWAWPictBitmap.

int MWAWPictBitmapIndexed::numColumns | ( |  | ) | const

inline

the number of columns

int MWAWPictBitmapIndexed::numRows | ( |  | ) | const

inline

the number of rows

void MWAWPictBitmapIndexed::set | ( | int | i,
|  | int | j,
|  | int | v
| ) |  |

inline

sets a cell contents

Referenced by CWGraph::sendBitmap().

void MWAWPictBitmapIndexed::setColors | ( | std::vector< MWAWColor > const & | cols | ) |

inline

sets the array of indexed colors

Referenced by MSKGraphInternal::DataBitmap::getPictureData(), and CWGraph::sendBitmap().

template<class U >

void MWAWPictBitmapIndexed::setColumn | ( | int | i,
|  | U const * | val
| ) |  |

inline

sets all cell contents of a column

template<class U >

void MWAWPictBitmapIndexed::setRow | ( | int | j,
|  | U const * | val
| ) |  |

inline

sets all cell contents of a row

Referenced by MSKGraphInternal::DataBitmap::getPictureData().

Vec2i const& MWAWPictBitmapIndexed::size | ( |  | ) | const

inline

the picture size

virtual bool MWAWPictBitmapIndexed::valid | ( |  | ) | const

inline virtual

returns true if the picture is valid

Reimplemented from MWAWPictBitmap.

## Member Data Documentation

std::vector<MWAWColor> MWAWPictBitmapIndexed::m_colors

protected

the colors

Referenced by cmp(), createFileData(), getColors(), and setColors().

MWAWPictBitmapContainer<int> MWAWPictBitmapIndexed::m_data

protected

the m_data

Referenced by cmp(), createFileData(), get(), getRow(), numColumns(), numRows(), set(), setColumn(), setRow(), size(), and valid().

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx